diff --git a/src/backend/commands/sequence.c b/src/backend/commands/sequence.c
index c98f981..3c658ce 100644
--- a/src/backend/commands/sequence.c
+++ b/src/backend/commands/sequence.c
@@ -750,6 +750,8 @@ nextval_internal(Oid relid)
 		XLogRegisterData((char *) seqtuple.t_data, seqtuple.t_len);
 
 		recptr = XLogInsert(RM_SEQ_ID, XLOG_SEQ_LOG);
+		elog(WARNING, "Logged new sequence value at %X/%X for nextval = %ld",
+			 (uint32) (recptr >> 32), (uint32) recptr, next);
 
 		PageSetLSN(page, recptr);
 	}
